Bug 428986 - rawhide KDE 4 Live CD locks up at light blue screen
rawhide KDE 4 Live CD locks up at light blue screen
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-16 11:39 EST by Chris January
Modified: 2013-01-09 23:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:27:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris January 2008-01-16 11:39:05 EST
Description of problem:

When booting off the rawhide KDE 4 Live CD the screen goes light blue and the
machine locks up. It turns light blue just after the "Starting udev" message on
the console.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot from the rawhide KDE4 Live CD
2. Wait for the "Starting udev [OK]" message
Actual results:

Screen goes light blue and the machine locks up. One time a white square about
80x80 pixels was visible in the centre of the screen.
Pressing Caps Lock, etc. does not change the keyboard lights. Pressing Ctrl-F1
does not switch to a console.

Expected results:

The machine boots to the KDE 4 desktop.

Additional info:

Processor: Intel Pentium D
RAM: 2Gb
Video Card: Radeon X1300 Series
Comment 1 Jeremy Katz 2008-01-31 11:32:11 EST
Does this still occur with the newer images which have been released?
Comment 2 Chris January 2008-02-01 11:13:28 EST
What is the URL for the latest image?
Comment 3 Chris January 2008-02-01 11:20:17 EST
I tried again today (with the original image) and you can move the white square
around for about 2 seconds before it locks up so it looks like that's supposed
to be the mouse cursor.
Comment 4 Matěj Cepl 2008-02-01 16:48:48 EST
That looks more like a problem with rhgb -- could you please try in grub screen
(where you select the style of booting), select the type of boot you want, then
press key 'a' and in the editor remove rhgb from the kernel command line. Press
ENTER. What happens?
Comment 5 Chris January 2008-02-11 05:31:08 EST
The system boots OK until X is started then I just get a black screen.
Comment 6 Kevin Kofler 2008-02-11 05:38:09 EST
Are you actually using the ati/radeon driver or is this with vesa? It looks 
like a duplicate of bug 427383 to me. Try booting with xdriver=ati or 
xdriver=radeon to force using the radeon driver, which only recently got 
experimental support for your card.
Comment 7 Matěj Cepl 2008-02-11 06:29:21 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 8 Matěj Cepl 2008-02-11 06:32:44 EST
Sorry, this is LiveCD, please, try to run it in text mode (add 3 to the end of
the kernel command line, available in grub after pressing a) and then try to
play with starting X as startx from the runlevel 3. That way you can get all log

Also, when running in text mode, try to add to /etc/X11/xorg.conf (if you don't
have one, there is a copy in /var/log/Xorg.0.log)

Option "DRI" "off"

to the "Device" section of for videocard. Does it help?
Comment 9 Chris January 2008-02-11 08:03:30 EST
Re: adding xdriver to the kernel command line
xdriver=ati + rhgb -> light blue screen - machine locked up
xdriver=radeon + rhgb -> black screen - machine locked up
xdriver=vesa -> light blue screen for a few seconds then black screen - machine
locked up
xdriver=ati + no rhgb -> black screen (after starting X) - machine locked up
xdriver=radeon + no rhgb -> black screen - machine locked up
xdriver=vesa + no rhgb -> black screen - refresh rate not supported by monitor -
machine NOT locked up (can switch back to console)

I will try to get a log file starting X with the default driver from run level 3
as suggested.
Comment 10 Chris January 2008-02-11 08:23:58 EST
In run level 3 with no rhgb option:
Running startx without doing anything else -> black screen + machine locked up
(so can't get any log files)
Removing xorg.conf, then running startx -> black screen + machine locked up
Adding DRI=off to xorg.conf -> light blue screen with 80x80 square blue/grey
mouse cursor for a few seconds then machine locked up

Since the machine locks up every time I'm not sure how to get any log files. Is
it possible to redirect them to, say, a USB pen drive?

Comment 11 Matěj Cepl 2008-02-11 09:01:22 EST
I think this is enough -- sending the bug to developers, and let's see what
wisdom they will be able to bring to the table.
Comment 12 Kevin Kofler 2008-04-12 10:01:22 EDT
This bug has nothing to do with KDE, it doesn't even get close to starting KDE 
there, removing from KDE4Live.
Comment 13 Bug Zapper 2008-05-14 00:47:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 14 Bug Zapper 2009-06-09 19:23:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 15 Bug Zapper 2009-07-14 13:27:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.